/* This file is part of the KDE Project
   Copyright (c) 2018 Oleg Solovyov <mcpain@altlinux.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _KCM_FREEMEMORYNOTIFIER_H_
#define _KCM_FREEMEMORYNOTIFIER_H_

#include <KCModule>
#include "ui_freememorynotifier_prefs_base.h"

class KCMFreeMemoryModuleForm : public QWidget, public Ui::freememorynotifier_prefs_base
{
    Q_OBJECT

public:
    explicit KCMFreeMemoryModuleForm(QWidget* parent);
};

class KCMFreeMemoryModule : public KCModule
{
    Q_OBJECT

public:
    KCMFreeMemoryModule(QWidget *parent, const QVariantList&);
    ~KCMFreeMemoryModule();

public slots:
    void save() override;
    void load() override;
    void defaults() override;

private:
    KCMFreeMemoryModuleForm* m_ui;
};

#endif // _KCM_FREEMEMORYNOTIFIER_H_
